Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.layers
Class Layer

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.contents.PropertyList
              org.pdfclown.documents.contents.layers.LayerEntity
                  org.pdfclown.documents.contents.layers.Layer

All Implemented Interfaces:
  Cloneable, ILayerNode, IPdfObjectWrapper

    @PDF(value=PDF15)
    public final class Layer

extends LayerEntity
implements ILayerNode

Optional content group [PDF:1.7:4.10.1].

Since:
  0.1.1
Version:
  0.1.2, 12/28/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from class org.pdfclown.documents.contents.layers.LayerEntity
`LayerEntity.VisibilityPolicyEnum`

Field Summary
`static PdfName` | `TypeName`

Constructor Summary
`Layer(Document context, String title)`

Method Summary
`Layer` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`String` | `getContentType()` Gets the name of the type of content controlled by the group.
`String` | `getCreator()` Gets the name of the application that created this layer.
`String` | `getLanguage()` Gets the language (and possibly locale) of the content controlled by this layer.
`Layers` | `getLayers()` Gets the sublayers.
`LayerMembership` | `getMembership()` Gets the default membership.
`String` | `getTitle()` Gets the text label.
`List<Layer>` | `getVisibilityLayers()` Gets the layers whose states determine the visibility of content controlled by this entity.
`LayerEntity.VisibilityPolicyEnum` | `getVisibilityPolicy()` Gets the visibility policy of this entity.
`Interval<Double>` | `getZoomRange()` Gets the range of magnifications at which the content in this layer is best viewed.
`boolean` | `isExportable()` Gets whether this layer is visible when the document is saved by a viewer application to a format that does not support optional content.
`boolean` | `isLocked()` Gets whether the default visibility of this layer cannot be changed through the user interface of a viewer application.
`boolean` | `isPrintable()` Gets whether this layer is visible when the document is printed from a viewer application.
`boolean` | `isViewable()` Gets whether this layer is visible when the document is opened in a viewer application.
`boolean` | `isVisible()` Gets whether this layer is initially visible.
`void` | `setContentType(String value)`
`void` | `setCreator(String value)`
`void` | `setExportable(boolean value)`
`void` | `setLanguage(String value)`
`void` | `setLayers(Layers value)`
`void` | `setLocked(boolean value)`
`void` | `setPrintable(boolean value)`
`void` | `setTitle(String value)`
`void` | `setViewable(boolean value)`
`void` | `setVisibilityPolicy(LayerEntity.VisibilityPolicyEnum value)`
`void` | `setVisible(boolean value)`
`void` | `setZoomRange(Interval<Double> value)`
`String` | `toString()`
`static Layer` | `wrap(PdfDirectObject baseObject)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.pdfclown.objects.IPdfObjectWrapper
`getBaseObject`

Field Detail

### TypeName

    public static final PdfName TypeName

Constructor Detail

### Layer

    public Layer(Document context,
                 String title)

Method Detail

### wrap

    public static Layer wrap(PdfDirectObject baseObject)

### clone

    public Layer clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PropertyList`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getContentType

    public String getContentType()

  Gets the name of the type of content controlled by the group.

### getCreator

    public String getCreator()

  Gets the name of the application that created this layer.

### getLanguage

    public String getLanguage()

  Gets the language (and possibly locale) of the content controlled by this layer.

### getLayers

    public Layers getLayers()

  Gets the sublayers.

  Specified by:
    `getLayers` in interface `ILayerNode`

### getMembership

    public LayerMembership getMembership()

  Description copied from class: `LayerEntity`
  Gets the default membership. This collection corresponds to the hierarchical relation between this layer entity and its ascendants.

  Overrides:
    `getMembership` in class `LayerEntity`

### getVisibilityLayers

    public List<Layer> getVisibilityLayers()

  Description copied from class: `LayerEntity`
  Gets the layers whose states determine the visibility of content controlled by this entity.

  Overrides:
    `getVisibilityLayers` in class `LayerEntity`

### getVisibilityPolicy

    public LayerEntity.VisibilityPolicyEnum getVisibilityPolicy()

  Description copied from class: `LayerEntity`
  Gets the visibility policy of this entity.

  Overrides:
    `getVisibilityPolicy` in class `LayerEntity`

### getZoomRange

    public Interval<Double> getZoomRange()

  Gets the range of magnifications at which the content in this layer is best viewed.

### isExportable

    public boolean isExportable()

  Gets whether this layer is visible when the document is saved by a viewer application to a format that does not support optional content.

### isLocked

    public boolean isLocked()

  Gets whether the default visibility of this layer cannot be changed through the user interface of a viewer application.

### isPrintable

    public boolean isPrintable()

  Gets whether this layer is visible when the document is printed from a viewer application.

### isViewable

    public boolean isViewable()

  Gets whether this layer is visible when the document is opened in a viewer application.

### isVisible

    public boolean isVisible()

  Gets whether this layer is initially visible.

### setContentType

    public void setContentType(String value)

  See Also:
    `getContentType()`

### setCreator

    public void setCreator(String value)

  See Also:
    `getCreator()`

### setExportable

    public void setExportable(boolean value)

  See Also:
    `isExportable()`

### setLanguage

    public void setLanguage(String value)

  See Also:
    `getLanguage()`

### setLayers

    public void setLayers(Layers value)

  See Also:
    `getLayers()`

### setLocked

    public void setLocked(boolean value)

  See Also:
    `isLocked()`

### setPrintable

    public void setPrintable(boolean value)

  See Also:
    `isPrintable()`

### setViewable

    public void setViewable(boolean value)

  See Also:
    `isViewable()`

### setVisibilityPolicy

    public void setVisibilityPolicy(LayerEntity.VisibilityPolicyEnum value)

  Overrides:
    `setVisibilityPolicy` in class `LayerEntity`
  See Also:
    `LayerEntity.getVisibilityPolicy()`

### setVisible

    public void setVisible(boolean value)

  See Also:
    `isVisible()`

### setZoomRange

    public void setZoomRange(Interval<Double> value)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getTitle

    public String getTitle()

  Description copied from interface: `ILayerNode`
  Gets the text label.

  Specified by:
    `getTitle` in interface `ILayerNode`

### setTitle

    public void setTitle(String value)

  Specified by:
    `setTitle` in interface `ILayerNode`
  See Also:
    `ILayerNode.getTitle()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.